"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("@testing-library/react");
var react_2 = __importDefault(require("react"));
require("@compiled/css-in-js");
it('should detect styles', function () {
    var getByText = react_1.render(react_2.default.createElement("div", { css: {
            fontSize: '12px',
        } }, "hello world")).getByText;
    expect(getByText('hello world')).toHaveCompiledCss('font-size', '12px');
});
it('should detect missing styles', function () {
    var getByText = react_1.render(react_2.default.createElement("div", { css: { fontSize: '12px' } }, "hello world")).getByText;
    expect(getByText('hello world')).not.toHaveCompiledCss('color', 'blue');
});
it('should detect multiple styles', function () {
    var getByText = react_1.render(react_2.default.createElement("div", { css: { fontSize: '12px', color: 'blue' } }, "hello world")).getByText;
    expect(getByText('hello world')).toHaveCompiledCss({
        fontSize: '12px',
        color: 'blue',
    });
});
it('should detect single missing styles', function () {
    var getByText = react_1.render(react_2.default.createElement("div", { css: { fontSize: '12px', color: 'blue' } }, "hello world")).getByText;
    expect(getByText('hello world')).not.toHaveCompiledCss({
        zindex: '9999',
    });
});
it('should detect multiple missing styles', function () {
    var getByText = react_1.render(react_2.default.createElement("div", { css: { fontSize: '12px', color: 'blue' } }, "hello world")).getByText;
    expect(getByText('hello world')).not.toHaveCompiledCss({
        backgroundColor: 'yellow',
        zindex: '9999',
    });
});
it('should detect evaluated rule from array styles', function () {
    var base = { fontSize: 12 };
    var next = " font-size: 15px; ";
    var getByText = react_1.render(react_2.default.createElement("div", { css: [base, next] }, "hello world")).getByText;
    expect(getByText('hello world')).toHaveCompiledCss('font-size', '15px');
    expect(getByText('hello world')).toHaveCompiledCss('font-size', '12px');
});
//# sourceMappingURL=matchers.test.js.map